# This controller creates the main page and the about page.
class WelcomeController < ApplicationController
  # Render the main page.
  def home
    @newest_upload = Screenshot.where(approved: true).first

    # @most_popular_package = Package.with_screenshots.order(visits: :desc).first
    @random_pick = Package.with_public_screenshots.order('RANDOM()').first

    @package_count = Package.count

    # Get up 100 screenshots where the packages have the most visits
    query = Package.without_screenshots # .order(visits: :desc)
    count = query.count
    random_offset = rand([100, count].min)
    @most_wanted_package = query.offset(random_offset).first
  end

  # Render the about page.
  def about
    @package_sources = Rails.configuration.package_sources
    @package_count =  Package.count
    @screenshot_count = Screenshot.count
  end
end
